Subject: Re: [PATCH] netlink: Rename pid to portid to avoid confusion

From: Stephen Hemminger <[email-masked]>
Date: Sat, 8 Sep 2012 09:54:41 -0700

On Fri, 07 Sep 2012 23:12:54 -0700
[email-masked] (Eric W. Biederman) wrote:

> It is a frequent mistake to confuse the netlink port identifier with a
> process identifier.  Try to reduce this confusion by renaming fields
> that hold port identifiers portid instead of pid.
> 
> I have carefully avoided changing the structures exported to
> userspace to avoid changing the userspace API.
> 
> I have successfully built an allyesconfig kernel with this change.
> 
> Signed-off-by: "Eric W. Biederman" <[email-masked]>
> ---

Ok. I validated that no header file used by iproute2 is affected.

Acked-by: Stephen Hemminger <[email-masked]>